#!/bin/sh

lAudioTip=$1
script_path=`echo $0 | awk -F '/' '{for(i=2;i<NF;i++) printf"/"$i}'`
echo $script_path

AlarmOutEnable=`cat $script_path/alarmOutEnable.ini | ./busybox grep "alarmOutEnable:" | ./busybox grep -v grep | sed 's/alarmOutEnable://g' | sed 's/\r//g' | sed 's/\n//g' | sed "s/$(echo -e '\015')//g"`

if [ $? != 0 ]; then
	echo "cann't found alarmOutEnable ini config file"
	exit -1
fi

if [ "$AlarmOutEnable" = "yes" ];then
	if [ ! -d "/mnt/mtd/Flags/" ];then
		mkdir -p /mnt/mtd/Flags/
	fi
	touch /mnt/mtd/Flags/AlarmOutEnable
	if [ "$lAudioTip" != "no" ];then
		./simple_adec_bind_ao -r 8000 -t g711a -i audio/alarmOutEnable.pcm
	fi
fi

if [ "$AlarmOutEnable" = "no" ];then
	rm -rf /mnt/mtd/Flags/AlarmOutEnable
	if [ "$lAudioTip" != "no" ];then
		./simple_adec_bind_ao -r 8000 -t g711a -i audio/alarmOutDisable.pcm
	fi
fi
